import { invoke } from '@/core/network';

export interface LoginParams {
  username: string;
  password: string;
}

export interface Me {
  id: number;
  name: string;
  nickname: string;
}

export class Service {
  public static async login(params: LoginParams) {
    return invoke<string>('/apis/admin/staff/login', {
      method: 'POST',
      data: params,
    });
  }

  public static async me() {
    return invoke<Me>('/apis/admin/staff/me', {
      skipErrorHandler: true,
    });
  }
}
